#import "CustomerMoreOptionViewController.h"
#import "Lang.h"
#import "SDK.h"
#import "CocoaUtils.h"
#import "DrawUtils.h"
#import "ImageUtils.h"
#import "Utility.h"
#import "Vars.h"

@interface CustomerMoreOptionViewController ()
@property (nonatomic, weak) IBOutlet UIImageView *imageView;
@property (nonatomic, weak) IBOutlet UILabel *versionLabel;
@property (nonatomic, weak) IBOutlet UILabel *aboutLabel;
@end

@implementation CustomerMoreOptionViewController

// The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (instancetype)init {
	if ((self = [super init])) {
		// Custom initialization
		self.title = @"About";
		[[Vars appDelegate] applyDefaultConfigurationForViewController:self];
	}
	return self;
}

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	[super viewDidLoad];

	self.versionLabel.text = [NSString stringWithFormat:@"Version: %@", [CocoaUtils bundleVersion]];
	self.versionLabel.textColor = [Vars defaultTintColor];

	self.aboutLabel.text = [NSString stringWithContentsOfFile:[[NSBundle mainBundle] pathForResource:@"about" ofType:@"txt"] encoding:NSUTF8StringEncoding error:NULL];
}

@end
